|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAccessibleButton Class Reference

The QAccessibleButton class implements the QAccessibleInterface for button type widgets. More...

    #include <QAccessibleButton>

Inherits QAccessibleWidget.

Inherited by QAccessibleToolButton.

- List of all members, including inherited members

### Public Functions

- QAccessibleButton ( QWidget * w, Role role )

- 15 public functions inherited from QAccessibleInterface

### Protected Functions

- QAbstractButton * button () const

- 7 protected functions inherited from QAccessibleWidget

### Additional Inherited Members

- 8 static public members inherited from QAccessible

## Detailed Description

The QAccessibleButton class implements the QAccessibleInterface for button type widgets.

## Member Function Documentation

### QAccessibleButton::QAccessibleButton ( QWidget * w, Role role )

Creates a QAccessibleButton object for w. role is propagated to the QAccessibleWidget constructor.

### QAbstractButton * QAccessibleButton::button () const `[protected]`

Returns the button.